Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.enricher
Class MessageEnricher

    java.lang.Object
      org.mule.processor.AbstractMessageProcessorOwner
          org.mule.enricher.MessageEnricher

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor

    public class MessageEnricher

extends AbstractMessageProcessorOwner
implements MessageProcessor

Nested Class Summary
`static class` | `MessageEnricher.EnrichExpressionPair`

Field Summary

Fields inherited from class org.mule.processor.AbstractMessageProcessorOwner
`flowConstruct, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`MessageEnricher()`

Method Summary
`void` | `addEnrichExpressionPair(MessageEnricher.EnrichExpressionPair pair)`
`protected void` | `enrich(MuleMessage currentMessage, MuleMessage enrichmentMessage, String sourceExpressionArg, String targetExpressionArg, ExpressionManager expressionManager)`
`protected List<MessageProcessor>` | `getOwnedMessageProcessors()`
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.
`void` | `setEnrichExpressionPairs(List<MessageEnricher.EnrichExpressionPair> enrichExpressionPairs)`
`void` | `setEnrichmentMessageProcessor(MessageProcessor enrichmentProcessor)`
`void` | `setMessageProcessor(MessageProcessor enrichmentProcessor)` For spring

Methods inherited from class org.mule.processor.AbstractMessageProcessorOwner
`dispose, initialise, setFlowConstruct, setMuleContext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEnricher

    public MessageEnricher()

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

### enrich

    protected void enrich(MuleMessage currentMessage,
                          MuleMessage enrichmentMessage,
                          String sourceExpressionArg,
                          String targetExpressionArg,
                          ExpressionManager expressionManager)

### setEnrichmentMessageProcessor

    public void setEnrichmentMessageProcessor(MessageProcessor enrichmentProcessor)

### setMessageProcessor

    public void setMessageProcessor(MessageProcessor enrichmentProcessor)

  For spring

### setEnrichExpressionPairs

    public void setEnrichExpressionPairs(List<MessageEnricher.EnrichExpressionPair> enrichExpressionPairs)

### addEnrichExpressionPair

    public void addEnrichExpressionPair(MessageEnricher.EnrichExpressionPair pair)

### getOwnedMessageProcessors

    protected List<MessageProcessor> getOwnedMessageProcessors()

  Specified by:
    `getOwnedMessageProcessors` in class `AbstractMessageProcessorOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.